> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boxpilote.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# List quotes

> Lists all quotes for the authenticated center with pagination. Returns a summary (id, quote_number, total_amount, status, customer). Optional date and status filters.



## OpenAPI

````yaml GET /api/public/v1/quotes
openapi: 3.1.0
info:
  title: Boxpilote API
  description: >-
    API for business opportunities, quotes, surfaces, rentals, insurances,
    services, products, VAT rates, and associated clients.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.boxpilote.fr
security:
  - bearerAuth: []
paths:
  /api/public/v1/quotes:
    get:
      description: >-
        Lists all quotes for the authenticated center with pagination. Returns a
        summary (id, quote_number, total_amount, status, customer). Optional
        date and status filters.
      parameters:
        - name: page
          in: query
          description: 'Page number (default: 1)'
          schema:
            type: integer
            default: 1
            minimum: 1
        - name: limit
          in: query
          description: 'Items per page (default: 20, max: 100)'
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: created_at_from
          in: query
          description: Filter quotes created on or after this date (ISO 8601)
          schema:
            type: string
            format: date-time
        - name: created_at_to
          in: query
          description: Filter quotes created on or before this date (ISO 8601)
          schema:
            type: string
            format: date-time
        - name: status
          in: query
          description: Filter quotes by status
          schema:
            type: string
            enum:
              - En attente
              - Expire
              - Refusé
              - Accepté
      responses:
        '200':
          description: List of quotes with pagination
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/QuoteSummary'
                  pagination:
                    type: object
                    properties:
                      page:
                        type: integer
                      limit:
                        type: integer
                      total:
                        type: integer
                      totalPages:
                        type: integer
        '401':
          description: Unauthorized / Invalid Token
          content:
            application/json:
              example:
                success: false
                message: 'Unauthorized: Invalid or missing token.'
        '500':
          description: Error fetching quotes
          content:
            application/json:
              example:
                success: false
                message: Erreur récupération des devis
components:
  schemas:
    QuoteSummary:
      type: object
      description: Simplified quote for list response
      properties:
        id:
          type: string
        created_at:
          type: string
          format: date-time
        quote_number:
          type: string
          nullable: true
        total_amount:
          type: number
          nullable: true
        status:
          type: string
          nullable: true
        customer:
          $ref: '#/components/schemas/Customer'
    Customer:
      type: object
      properties:
        name:
          type: string
          nullable: true
        phone:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````